Skip navigation
Banner: Jump directly to the Hamfiles Site News Forum

looking for

Post

old version kpg-111d v2.0-v4.0

i need a version of kpg 111d that will work with engineering serial so i can unlock my radio. my understanding is that anything past 4.4 wont work. thanks in advance 
Back to the top
1 guest and 0 members have just viewed this.